Bug 27983 - Replace obsolete title-string sorting: Acquisitions templates part 2
Summary: Replace obsolete title-string sorting: Acquisitions templates part 2
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 27934
  Show dependency treegraph
 
Reported: 2021-03-18 13:18 UTC by Owen Leonard
Modified: 2021-05-21 15:02 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27982: Replace obsolete title-string sorting: Acquisitions templates part 1 (19.03 KB, patch)
2021-03-18 15:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27983: Replace obsolete title-string sorting: Acquisitions templates part 2 (12.14 KB, patch)
2021-03-18 16:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27983: Replace obsolete title-string sorting: Acquisitions templates part 2 (12.20 KB, patch)
2021-03-19 08:14 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 27983: Replace obsolete title-string sorting: Acquisitions templates part 2 (12.26 KB, patch)
2021-03-22 11:05 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27983: (follow-up) Address missing instances (6.64 KB, patch)
2021-03-25 11:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27983: Replace obsolete title-string sorting: Acquisitions templates part 2 (12.26 KB, patch)
2021-03-26 11:50 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27983: (follow-up) Address missing instances (6.68 KB, patch)
2021-03-26 11:50 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-18 13:18:14 UTC
This patch will modify the following templates to replace the old "title-string" DataTables sorting method with the built-in method using "data-order" attributes.

  intranet-tmpl/prog/en/modules/acqui/lateorders.tt
  intranet-tmpl/prog/en/modules/acqui/newordersubscription.tt
  intranet-tmpl/prog/en/modules/acqui/ordered.tt
  intranet-tmpl/prog/en/modules/acqui/orderreceive.tt
  intranet-tmpl/prog/en/modules/acqui/parcels.tt
  intranet-tmpl/prog/en/modules/acqui/spent.tt
  intranet-tmpl/prog/en/modules/acqui/supplier.tt
Comment 1 Owen Leonard 2021-03-18 15:17:39 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2021-03-18 16:49:21 UTC Comment hidden (obsolete)
Comment 3 Amit Gupta 2021-03-19 08:14:01 UTC Comment hidden (obsolete)
Comment 4 Martin Renvoize 2021-03-22 11:05:30 UTC
Created attachment 118579 [details] [review]
Bug 27983: Replace obsolete title-string sorting: Acquisitions templates part 2

This patch modifies several acquisitions templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Acquisitions -> Late orders
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a
  subscription
- Acquisitions -> "All available funds" table
  -> Click an "Ordered" value
  -> Click a "Spent" value
- Acquisitions -> Vendor -> Receive shipments
- Acquisitions -> Vendor
  -> test sorting of contracts in the "Contracts" table

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2021-03-22 11:06:38 UTC
Excellent work, diligently worked through.

All works well, passing QA
Comment 6 Owen Leonard 2021-03-25 11:58:37 UTC
Created attachment 118782 [details] [review]
Bug 27983: (follow-up) Address missing instances

This patch cleans up some instances I missed on the first round:

- Acquisitions -> Vendor -> Receive shipments
- Acquisitions -> "All available funds" table
  -> Click an "Ordered" value
  -> Click a "Spent" value
- Acquisitions -> Vendor
 -> test sorting of contracts in the "Contracts" table
Comment 7 Martin Renvoize 2021-03-26 11:50:44 UTC
Created attachment 118848 [details] [review]
Bug 27983: Replace obsolete title-string sorting: Acquisitions templates part 2

This patch modifies several acquisitions templates to replace the use of
the "title-string" DataTables sorting method with the newer "data-order"
attribute.

To test, apply the patch and view the following pages to confirm that
columns containing dates sort correctly when using any setting of the
"dateformat" system preference:

- Acquisitions -> Late orders
- Acquisitions -> Vendor -> Basket -> Add to basket -> From a
  subscription
- Acquisitions -> "All available funds" table
  -> Click an "Ordered" value
  -> Click a "Spent" value
- Acquisitions -> Vendor -> Receive shipments
- Acquisitions -> Vendor
  -> test sorting of contracts in the "Contracts" table

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2021-03-26 11:50:48 UTC
Created attachment 118849 [details] [review]
Bug 27983: (follow-up) Address missing instances

This patch cleans up some instances I missed on the first round:

- Acquisitions -> Vendor -> Receive shipments
- Acquisitions -> "All available funds" table
  -> Click an "Ordered" value
  -> Click a "Spent" value
- Acquisitions -> Vendor
 -> test sorting of contracts in the "Contracts" table

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2021-03-26 11:52:12 UTC
Applied 27982 and 27983 together.  Grepped for title-string in the acqui dir and in js includes.

No further cases found.. well caught on the extra's Owen.

Passing QA
Comment 10 Jonathan Druart 2021-04-06 13:58:37 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 11 Fridolin Somers 2021-04-19 09:27:56 UTC
Enhancement not pushed to 20.11.x